Remove all samples by category
curl --request POST \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/raw-data/delete-all/{category} \
--header 'x-api-key: <api-key>'import requests
url = "https://studio.edgeimpulse.com/v1/api/{projectId}/raw-data/delete-all/{category}"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/raw-data/delete-all/{category}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"error": "<string>"
}Remove all samples by category
Deletes all samples for this project over a single category. Note that this does not delete the data from cold storage.
POST
/
api
/
{projectId}
/
raw-data
/
delete-all
/
{category}
Remove all samples by category
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Project ID
Which of the three acquisition categories to download data from
Available options:
training, testing, validation, post-processing Was this page helpful?
⌘I